Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006437TestLinkUsers and Rightspublic2014-07-10 15:512017-10-22 18:44
Reportercetienney 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.10 (2014 Q1 - bug fixing) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0006437: Right "Requirement view (read only access)" doesn't allow to see the requirement specifications
DescriptionA user with the right "Requirement view" and without "Requirement Management" has the link "Requirement Specification".
But using it, he can't see the tree of requirement and returns to project desktop.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome 35, Firefox 30
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon Desktop.PNG [^] (25,792 bytes) 2017-10-22 13:07


png file icon ReqSpecPage.PNG [^] (72,827 bytes) 2017-10-22 13:07

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0021252)
fman (administrator)
2014-07-11 18:35

please provide detailed steps to reproduce
follow our guidelines present on forum.testlink.org
(0026959)
Mr.Bricodage (updater)
2017-10-22 13:07
edited on: 2017-10-22 13:08

Just tested on TL 1.9.17.
User with req view can view req spec tree and content (see attachments)
Should be closed

(0026960)
fman (administrator)
2017-10-22 18:43

@Mr.Bricodage: thanks a lot for your help

- Issue History
Date Modified Username Field Change
2014-07-10 15:51 cetienney New Issue
2014-07-11 18:35 fman Note Added: 0021252
2017-10-22 13:07 Mr.Bricodage Note Added: 0026959
2017-10-22 13:07 Mr.Bricodage File Added: Desktop.PNG
2017-10-22 13:07 Mr.Bricodage File Added: ReqSpecPage.PNG
2017-10-22 13:08 Mr.Bricodage Note Edited: 0026959 View Revisions
2017-10-22 18:43 fman Note Added: 0026960
2017-10-22 18:44 fman QA Team - Task Workflow Status => TBD
2017-10-22 18:44 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-10-22 18:44 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-10-22 18:44 fman Status new => resolved
2017-10-22 18:44 fman Resolution open => fixed
2017-10-22 18:44 fman Assigned To => fman
2017-10-22 18:44 fman Relationship added child of 0007817



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker